### A free/open-source library for quantitative finance

Public Member Functions
ImpliedTermStructure Class Reference
Term structures

Implied term structure at a given date in the future. More...

`#include <ql/termstructures/yield/impliedtermstructure.hpp>`

Inheritance diagram for ImpliedTermStructure:
[legend]

List of all members.

## Public Member Functions

| ImpliedTermStructure (const Handle< YieldTermStructure > &, const Date &referenceDate)

## YieldTermStructure interface

DayCounter | dayCounter () const
| the day counter used for date/time conversion
Calendar | calendar () const
| the calendar used for reference and/or option date calculation
Natural | settlementDays () const
| the settlementDays used for reference date calculation
Date | maxDate () const
| the latest date for which the curve can return values
DiscountFactor | discountImpl (Time) const
| discount factor calculation

## Detailed Description

Implied term structure at a given date in the future.

The given date will be the implied reference date.

Note:
  This term structure will remain linked to the original structure, i.e., any changes in the latter will be reflected in this structure as well.

Tests:
  - the correctness of the returned values is tested by checking them against numerical calculations.
  - observability against changes in the underlying term structure is checked.